.pic-slider {
    width: 100%;
    height: calc(100%);
    display: flex;
    gap: 10px;
}

.pic-slider-holder {
    display: flex;
    overflow: hidden;
}

.pic-slider-dots {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    flex: 0 0 auto;
}

.pic-slider-dot {
    width: 8px;
    height: 8px;
    border-radius: 100%;
    background-color: #ccc;
    cursor: pointer;
    transition: ease-in-out all 0.5s;
}

.pic-slider-dot.active {
    background-color: #333;
}

.pic-slider-cart {
    width: 100%;
    margin-top: 0;
    transition: 0.5s all ease-in-out;
}

.pic-slider-thumbnails {
    display: flex;
    gap: 5px;
}

.pic-slider-thumb img {
    object-fit: cover;
    width: 100%;
    border: 2px solid transparent;
    transition: 0.5s all ease-in-out;
    cursor: pointer;
    box-sizing: border-box;
}

.pic-slider-thumb.active img {
    /* border-color: #ccc; */
}

/* ---------------------------  PROPRIEDADE VERTICAL */

.vertical .pic-slider-thumbnails-container {
    width: 15%;
}

.pic-slider-thumbnails-holder {
    overflow: hidden;
    z-index: 1;
}

.pic-slider-thumbnails-arrows {
    position: absolute;
    top: -20px;
    bottom: -20px;

    left: 50%;
    transform: translateX(-50%);

    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.pic-slider-thumbnails-arrow {
    width: 16px;
    cursor: pointer;
    color: var(--primary-color);
}

.pic-slider.vertical {
    flex-direction: row;
}

.vertical .pic-slider-thumbnails {
    flex-direction: column;
}

.vertical .pic-slider-holder {
    width: 100%;
    flex-direction: column;
}

.vertical .pic-slider-thumbnails-container+.pic-slider-holder {
    width: 85%;
}

/* ---------------------------  PROPRIEDADE HORIZONTAL */

.pic-slider.horizontal.horizontal {
    flex-direction: column-reverse;
    /* justify-content: flex-end;
    height: auto; */
}

.pic-slider-thumbnails-container{
    position: absolute;
    width: 100%;
    max-width: 100%;
}

.pic-slider-thumbnails-holder{
    width: 100%;
    max-width: 100%;
}

.horizontal .pic-slider-thumbnails-card {
    display: flex;
    justify-content: center;
}

.horizontal .pic-slider-image {
    flex: 0 0 100%;
}

.horizontal .pic-slider-cart {
    display: flex;
    flex-direction: row;
}

.horizontal .pic-slider-thumbnails,
.horizontal .pic-slider-holder {
    width: 100%;
    flex-direction: row;
}

figure.zoom {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    background-repeat: no-repeat;
    cursor: zoom-in;
}

figure.zoom img {
    transition: transform 0.3s ease;
    width: 100%;
    height: 100%;
    background-size: cover;
    display: block;
}

.pic-slider-image {
    margin: 0 auto;
    align-items: center;
    display: flex;
}

.horizontal .pic-slider-thumbnails-arrows {
    flex-direction: row;
    position: relative;
    top: -60px;
    bottom: 0px;
    left: 0px;
    transform: unset;
    z-index: 100;
}

.horizontal .pic-slider-thumbnails-arrows .pic-slider-thumbnails-arrow-top {
    position: relative;
    /* transform: rotate(-90deg); */
}

.horizontal .pic-slider-thumbnails-arrows .pic-slider-thumbnails-arrow-bottom {
    position: relative;
    /* transform: rotate(-90deg); */
}

.horizontal .pic-slider-thumbnails img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

@media (max-width: 500px) {
    
    .pic-slider-thumbnails-container {
        position: relative;
        width: 97%;
        max-width: 100%;
    }
}